Read System Bypass
GET
https://api.vercel.com/v1/security/firewall/bypassRetrieve the system bypass rules configured for the specified project
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.security.getBypassIp({ projectId: "<id>", limit: 10, teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "pagination": { "Id": "icfg_1234567890", "OwnerId": "example_id" }, "result": [ { "Action": "block", "ActorId": "example_id", "CreatedAt": "string", "DeletedAt": "string", "Domain": "string", "ExpiresAt": "123", "Id": "icfg_1234567890", "Ip": "string", "IsProjectRule": "false", "Note": "string", "OwnerId": "example_id", "ProjectId": "example_id", "UpdatedAt": "string", "UpdatedAtHour": "string" } ]}AuthorizationbearerToken
Default authentication mechanism